CVE-2006-0645
CVSS7.5
发布时间 :2006-02-10 13:06:00
修订时间 :2011-03-07 21:30:29
NMCOS    

[原文]Tiny ASN.1 Library (libtasn1) before 0.2.18, as used by (1) GnuTLS 1.2.x before 1.2.10 and 1.3.x before 1.3.4, and (2) GNU Shishi, allows attackers to crash the DER decoder and possibly execute arbitrary code via "out-of-bounds access" caused by invalid input, as demonstrated by the ProtoVer SSL test suite.


[CNNVD]GNUTLS LibTASN1 DER 拒绝服务漏洞(CNNVD-200602-141)

        libtASN1是Linux和基于UNIX系统的ASN.1结构管理库。
        libtASN1的DER解码器中存在拒绝服务漏洞,如果使用了libtASN1库的程序接收处理特制的恶意输入报文的话,可以导致解码器崩溃。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:free_software_foundation_inc.:libtasn1:0.2.11
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.13
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.2
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.17
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.7
cpe:/a:free_software_foundation_inc.:libtasn1:0.1.1
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.8
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.0
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.5
cpe:/a:free_software_foundation_inc.:libtasn1:0.1.0
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.4
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.6
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.14
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.9
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.12
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.1
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.10
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.16
cpe:/a:free_software_foundation_inc.:libtasn1:0.1.2
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.15
cpe:/a:free_software_foundation_inc.:libtasn1:0.2.3

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:10540Tiny ASN.1 Library (libtasn1) before 0.2.18, as used by (1) GnuTLS 1.2.x before 1.2.10 and 1.3.x before 1.3.4, and (2) GNU Shishi, allows at...
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0645
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0645
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200602-141
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/0496
(UNKNOWN)  VUPEN  ADV-2006-0496
http://www.securityfocus.com/archive/1/archive/1/424538/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060209 ProtoVer SSL: GnuTLS
http://www.gleg.net/protover_ssl.shtml
(UNKNOWN)  MISC  http://www.gleg.net/protover_ssl.shtml
http://lists.gnupg.org/pipermail/gnutls-dev/2006-February/001060.html
(UNKNOWN)  MLIST  [gnutls-dev] 20060209 GnuTLS 1.3.4 - Experimental - Security release
http://lists.gnupg.org/pipermail/gnutls-dev/2006-February/001059.html
(UNKNOWN)  MLIST  [gnutls-dev] 20060209 GnuTLS 1.2.10 - Security release
http://lists.gnupg.org/pipermail/gnutls-dev/2006-February/001058.html
(UNKNOWN)  MLIST  [gnutls-dev] 20060209 Libtasn1 0.2.18 - Tiny ASN.1 Library - Security release
http://josefsson.org/gnutls/releases/libtasn1/libtasn1-0.2.18-from-0.2.17.patch
(UNKNOWN)  MISC  http://josefsson.org/gnutls/releases/libtasn1/libtasn1-0.2.18-from-0.2.17.patch
http://josefsson.org/cgi-bin/viewcvs.cgi/libtasn1/NEWS?root=gnupg-mirror&view=markup
(UNKNOWN)  CONFIRM  http://josefsson.org/cgi-bin/viewcvs.cgi/libtasn1/NEWS?root=gnupg-mirror&view=markup
http://josefsson.org/cgi-bin/viewcvs.cgi/gnutls/tests/certder.c?view=markup
(UNKNOWN)  MISC  http://josefsson.org/cgi-bin/viewcvs.cgi/gnutls/tests/certder.c?view=markup
http://xforce.iss.net/xforce/xfdb/24606
(UNKNOWN)  XF  gnutls-libtasn1-der-dos(24606)
http://www.ubuntulinux.org/support/documentation/usn/usn-251-1
(UNKNOWN)  UBUNTU  USN-251-1
http://www.trustix.org/errata/2006/0008
(UNKNOWN)  TRUSTIX  2006-0008
http://www.securityfocus.com/bid/16568
(UNKNOWN)  BID  16568
http://www.redhat.com/archives/fedora-announce-list/2006-February/msg00043.html
(UNKNOWN)  FEDORA  FEDORA-2006-107
http://www.osvdb.org/23054
(UNKNOWN)  OSVDB  23054
http://www.mandriva.com/security/advisories?name=MDKSA-2006:039
(UNKNOWN)  MANDRIVA  MDKSA-2006:039
http://www.gentoo.org/security/en/glsa/glsa-200602-08.xml
(UNKNOWN)  GENTOO  GLSA-200602-08
http://www.debian.org/security/2006/dsa-986
(UNKNOWN)  DEBIAN  DSA-986
http://www.debian.org/security/2006/dsa-985
(UNKNOWN)  DEBIAN  DSA-985
http://securitytracker.com/id?1015612
(UNKNOWN)  SECTRACK  1015612
http://securityreason.com/securityalert/446
(UNKNOWN)  SREASON  446
http://secunia.com/advisories/19092
(UNKNOWN)  SECUNIA  19092
http://secunia.com/advisories/19080
(UNKNOWN)  SECUNIA  19080
http://secunia.com/advisories/18918
(UNKNOWN)  SECUNIA  18918
http://secunia.com/advisories/18898
(UNKNOWN)  SECUNIA  18898
http://secunia.com/advisories/18832
(UNKNOWN)  SECUNIA  18832
http://secunia.com/advisories/18830
(UNKNOWN)  SECUNIA  18830
http://secunia.com/advisories/18815
(UNKNOWN)  SECUNIA  18815
http://secunia.com/advisories/18794
(UNKNOWN)  SECUNIA  18794
http://rhn.redhat.com/errata/RHSA-2006-0207.html
(UNKNOWN)  REDHAT  RHSA-2006:0207

- 漏洞信息

GNUTLS LibTASN1 DER 拒绝服务漏洞
高危 其他
2006-02-10 00:00:00 2006-02-14 00:00:00
远程  
        libtASN1是Linux和基于UNIX系统的ASN.1结构管理库。
        libtASN1的DER解码器中存在拒绝服务漏洞,如果使用了libtASN1库的程序接收处理特制的恶意输入报文的话,可以导致解码器崩溃。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        GNU libtasn1-0.2.18.tar.gz
        ftp://ftp.gnutls.org/pub/gnutls/libtasn1/libtasn1-0.2.18.tar.gz
        GNU gnutls-1.2.10.tar.bz2
        ftp://ftp.gnutls.org/pub/gnutls/gnutls-1.2.10.tar.bz2
        GNU gnutls-1.3.4.tar.bz2
        ftp://ftp.gnutls.org/pub/gnutls/gnutls-1.3.4.tar.bz2

- 漏洞信息

23054
GnuTLS libtasn1 DER Decoding Overflow DoS
Denial of Service, Input Manipulation
Loss of Integrity, Loss of Availability
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-02-09 2006-01-31
Unknow Unknow

- 解决方案

Upgrade to version 0.2.18 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

GNUTLS LibTASN1 DER Decoding Denial of Service Vulnerabilities
Failure to Handle Exceptional Conditions 16568
Yes No
2006-02-09 12:00:00 2006-12-22 12:04:00
Evgeny Legerov reported these vulnerabilities to the vendor.

- 受影响的程序版本

Ubuntu Ubuntu Linux 5.10 powerpc
Ubuntu Ubuntu Linux 5.10 i386
Ubuntu Ubuntu Linux 5.10 amd64
Ubuntu Ubuntu Linux 5.0 4 powerpc
Ubuntu Ubuntu Linux 5.0 4 i386
Ubuntu Ubuntu Linux 5.0 4 amd64
Ubuntu Ubuntu Linux 4.1 ppc
Ubuntu Ubuntu Linux 4.1 ia64
Ubuntu Ubuntu Linux 4.1 ia32
Trustix Secure Linux 3.0
Trustix Secure Linux 2.2
Trustix Secure Enterprise Linux 2.0
RedHat Enterprise Linux WS 4
RedHat Enterprise Linux ES 4
RedHat Desktop 4.0
Red Hat Fedora Core3
Red Hat Enterprise Linux AS 4
Mandriva Linux Mandrake 2006.0 x86_64
Mandriva Linux Mandrake 2006.0
Mandriva Linux Mandrake 10.2 x86_64
Mandriva Linux Mandrake 10.2
Mandriva Linux Mandrake 10.1 x86_64
Mandriva Linux Mandrake 10.1
GNU Libtasn1 0.2.17
GNU Libtasn1 0.2.16
GNU Libtasn1 0.2.15
GNU Libtasn1 0.2.14
GNU Libtasn1 0.2.13
GNU Libtasn1 0.2.12
GNU Libtasn1 0.2.11
GNU Libtasn1 0.2.10
GNU Libtasn1 0.2.9
GNU Libtasn1 0.2.8
GNU Libtasn1 0.2.7
GNU Libtasn1 0.2.6
GNU Libtasn1 0.2.5
GNU Libtasn1 0.2.4
GNU Libtasn1 0.2.3
GNU Libtasn1 0.2.2
GNU Libtasn1 0.2.1
GNU Libtasn1 0.2
GNU Libtasn1 0.1.2
GNU Libtasn1 0.1.1
GNU Libtasn1 0.1
GNU GnuTLS 1.3.3
GNU GnuTLS 1.3.2
GNU GnuTLS 1.3.1
GNU GnuTLS 1.3
GNU GnuTLS 1.2.9
GNU GnuTLS 1.2.8
GNU GnuTLS 1.2.7
GNU GnuTLS 1.2.6
GNU GnuTLS 1.2.5
GNU GnuTLS 1.2.4
GNU GnuTLS 1.2.3
GNU GnuTLS 1.2.2
GNU GnuTLS 1.2.1
GNU GnuTLS 1.2
GNU GnuTLS 1.0.25
+ Red Hat Fedora Core4
GNU GnuTLS 1.0.23
+ Red Hat Fedora Core4
GNU GnuTLS 1.0.17
GNU GnuTLS 1.0.16
GNU GnuTLS 1.0.15
GNU GnuTLS 1.0.14
GNU GnuTLS 1.0.13
GNU GnuTLS 1.0.9
GNU GnuTLS 1.0.8
GNU GnuTLS 1.0.7
GNU GnuTLS 1.0.6
GNU GnuTLS 1.0.5
GNU GnuTLS 1.0.4
GNU GnuTLS 1.0.3
GNU GnuTLS 1.0.2
GNU GnuTLS 1.0.1
GNU GnuTLS 1.0
Gentoo Linux
Debian Linux 3.1 sparc
Debian Linux 3.1 s/390
Debian Linux 3.1 ppc
Debian Linux 3.1 mipsel
Debian Linux 3.1 mips
Debian Linux 3.1 m68k
Debian Linux 3.1 ia-64
Debian Linux 3.1 ia-32
Debian Linux 3.1 hppa
Debian Linux 3.1 arm
Debian Linux 3.1 amd64
Debian Linux 3.1 alpha
Debian Linux 3.1
GNU Libtasn1 0.2.18
GNU GnuTLS 1.3.4
GNU GnuTLS 1.2.10

- 不受影响的程序版本

GNU Libtasn1 0.2.18
GNU GnuTLS 1.3.4
GNU GnuTLS 1.2.10

- 漏洞讨论

Libtasn1 is prone to multiple denial-of-service vulnerabilities. A remote attacker can send specifically crafted data to trigger these flaws, leading to denial-of-service condition.

These issues have been addressed in Libtasn1 versions 0.2.18; earlier versions are vulnerable.

- 漏洞利用

Example code designed to trigger these issues is available as a regression test file and is provided from the vendor at the following URI:

http://josefsson.org/cgi-bin/viewcvs.cgi/gnutls/tests/certder.c?view=markup

The ProtoVer SSL Testsuite from http://www.gleg.net/protover_ssl.shtml may also be used to trigger these issues.

- 解决方案

The vendor has addressed this issue in GnuTLS versions 1.2.10 and 1.3.4 and in Libtasn1 version 0.2.18.

Please see the referenced vendor advisories for details on obtaining and applying fixes.


GNU Libtasn1 0.1

GNU Libtasn1 0.1.1

GNU Libtasn1 0.1.2

GNU Libtasn1 0.2

GNU Libtasn1 0.2.1

GNU Libtasn1 0.2.10

GNU Libtasn1 0.2.11

GNU Libtasn1 0.2.12

GNU Libtasn1 0.2.13

GNU Libtasn1 0.2.14

GNU Libtasn1 0.2.15

GNU Libtasn1 0.2.16

GNU Libtasn1 0.2.17

GNU Libtasn1 0.2.2

GNU Libtasn1 0.2.3

GNU Libtasn1 0.2.4

GNU Libtasn1 0.2.5

GNU Libtasn1 0.2.6

GNU Libtasn1 0.2.7

GNU Libtasn1 0.2.8

GNU GnuTLS 1.0

GNU GnuTLS 1.0.1

GNU GnuTLS 1.0.13

GNU GnuTLS 1.0.14

GNU GnuTLS 1.0.15

GNU GnuTLS 1.0.16

GNU GnuTLS 1.0.17

GNU GnuTLS 1.0.2

GNU GnuTLS 1.0.23

GNU GnuTLS 1.0.25

GNU GnuTLS 1.0.3

GNU GnuTLS 1.0.4

GNU GnuTLS 1.0.5

GNU GnuTLS 1.0.6

GNU GnuTLS 1.0.7

GNU GnuTLS 1.0.8

GNU GnuTLS 1.0.9

GNU GnuTLS 1.2

GNU GnuTLS 1.2.1

GNU GnuTLS 1.2.2

GNU GnuTLS 1.2.3

GNU GnuTLS 1.2.4

GNU GnuTLS 1.2.5

GNU GnuTLS 1.2.6

GNU GnuTLS 1.2.7

GNU GnuTLS 1.2.9

GNU GnuTLS 1.3

GNU GnuTLS 1.3.1

GNU GnuTLS 1.3.2

GNU GnuTLS 1.3.3

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站